Bellwork
OrgSuppressions

Add someone to the do-not-contact list

By email or LinkedIn URL. Any live sequence they are in ends now, as `unsubscribed`.

POST
/org/suppressions

By email or LinkedIn URL. Any live sequence they are in ends now, as unsubscribed.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Request Body

application/json

email?string
Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
linkedin_url?string
Formaturi
note?string
Lengthlength <= 500

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/org/suppressions" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "added": true,
    "enrollments_ended": -9007199254740991
  }
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
{
  "error": "module_required",
  "module": "string",
  "message": "string",
  "contact": "string"
}